Abuse Reports

AbuseReports

Methods

create(, , ):
post/accounts/{account_id}/abuse-reports/{report_param}

Submit the Abuse Report of a particular type

get(, , ):
get/accounts/{account_id}/abuse-reports/{report_param}

Retrieve the details of an abuse report.

list(, ): <>
get/accounts/{account_id}/abuse-reports

List the abuse reports for a given account

Security
API Token

The preferred authorization scheme for interacting with the Cloudflare API. Create a token.

Example: Authorization: Bearer Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY

Accepted Permissions (at least one required)

Trust and Safety Write Trust and Safety Read

Parameters
account_id: string
(maxLength: 32)

Path param: Cloudflare Account ID

created_after?: string

Query param: Returns reports created after the specified date

created_before?: string

Query param: Returns reports created before the specified date

domain?: string

Query param: Filter by domain name related to the abuse report

mitigation_status?: "pending" | "active" | "in_review" | 2 more...

Query param: Filter reports that have any mitigations in the given status.

page?: number

Query param: Where in pagination to start listing abuse reports

per_page?: number

Query param: How many abuse reports per page to list

sort?: string

Query param: A property to sort by, followed by the order (id, cdate, domain, type, status)

status?: "accepted" | "in_review"

Query param: Filter by the status of the report.

type?: "PHISH" | "GEN" | "THREAT" | 6 more...

Query param: Filter by the type of the report.

Returns
AbuseReportListResponse{
reports: Array<>
Request example
200Example
Abuse Reports

Mitigations

AbuseReports.Mitigations

Methods

list(, , ): <>
get/accounts/{account_id}/abuse-reports/{report_id}/mitigations

List mitigations done to remediate the abuse report.

review(, , ): <>
post/accounts/{account_id}/abuse-reports/{report_id}/mitigations/appeal

Request a review for mitigations on an account.